Bug 1283347 - [abrt] xfce4-power-manager: strlen(): xfce4-power-manager killed by SIGSEGV
[abrt] xfce4-power-manager: strlen(): xfce4-power-manager killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c000ec800fd4fe95fb455481c04...
:
: 1290516 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 14:00 EST by Lukas Slebodnik
Modified: 2016-02-23 09:15 EST (History)
5 users (show)

See Also:
Fixed In Version: xfce4-power-manager-1.5.2-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-14 21:51:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.69 KB, text/plain)
2015-11-18 14:00 EST, Lukas Slebodnik
no flags Details
File: cgroup (191 bytes, text/plain)
2015-11-18 14:00 EST, Lukas Slebodnik
no flags Details
File: core_backtrace (9.73 KB, text/plain)
2015-11-18 14:00 EST, Lukas Slebodnik
no flags Details
File: dso_list (9.35 KB, text/plain)
2015-11-18 14:00 EST, Lukas Slebodnik
no flags Details
File: environ (1.65 KB, text/plain)
2015-11-18 14:00 EST, Lukas Slebodnik
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-18 14:00 EST, Lukas Slebodnik
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-18 14:00 EST, Lukas Slebodnik
no flags Details
File: maps (46.66 KB, text/plain)
2015-11-18 14:00 EST, Lukas Slebodnik
no flags Details
File: mountinfo (3.50 KB, text/plain)
2015-11-18 14:00 EST, Lukas Slebodnik
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-18 14:00 EST, Lukas Slebodnik
no flags Details
File: open_fds (961 bytes, text/plain)
2015-11-18 14:00 EST, Lukas Slebodnik
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-11-18 14:00 EST, Lukas Slebodnik
no flags Details

  None (edit)
Description Lukas Slebodnik 2015-11-18 14:00:13 EST
Version-Release number of selected component:
xfce4-power-manager-1.5.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xfce4-power-manager --restart --sm-client-id 25a23b445-568c-473e-969e-bbe5f0a0abdc
crash_function: strlen
executable:     /usr/bin/xfce4-power-manager
global_pid:     9215
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 get_device_description at xfpm-power-common.c:267
 #2 power_manager_button_update_device_icon_and_details at ../panel-plugins/power-manager-plugin/power-manager-button.c:454
 #8 g_object_notify_by_spec_internal at gobject.c:1154
 #9 g_object_notify at gobject.c:1202
 #15 g_object_notify_by_spec_internal at gobject.c:1154
 #16 g_object_notify at gobject.c:1202
 #17 up_device_glue_proxy_g_properties_changed at up-device-glue.c:2706
 #18 ffi_call_unix64 at ../src/x86/unix64.S:76
 #19 ffi_call at ../src/x86/ffi64.c:525

Potential duplicate: bug 1229024
Comment 1 Lukas Slebodnik 2015-11-18 14:00:18 EST
Created attachment 1096190 [details]
File: backtrace
Comment 2 Lukas Slebodnik 2015-11-18 14:00:20 EST
Created attachment 1096191 [details]
File: cgroup
Comment 3 Lukas Slebodnik 2015-11-18 14:00:22 EST
Created attachment 1096192 [details]
File: core_backtrace
Comment 4 Lukas Slebodnik 2015-11-18 14:00:24 EST
Created attachment 1096193 [details]
File: dso_list
Comment 5 Lukas Slebodnik 2015-11-18 14:00:25 EST
Created attachment 1096194 [details]
File: environ
Comment 6 Lukas Slebodnik 2015-11-18 14:00:27 EST
Created attachment 1096195 [details]
File: exploitable
Comment 7 Lukas Slebodnik 2015-11-18 14:00:29 EST
Created attachment 1096196 [details]
File: limits
Comment 8 Lukas Slebodnik 2015-11-18 14:00:31 EST
Created attachment 1096197 [details]
File: maps
Comment 9 Lukas Slebodnik 2015-11-18 14:00:33 EST
Created attachment 1096198 [details]
File: mountinfo
Comment 10 Lukas Slebodnik 2015-11-18 14:00:34 EST
Created attachment 1096199 [details]
File: namespaces
Comment 11 Lukas Slebodnik 2015-11-18 14:00:36 EST
Created attachment 1096200 [details]
File: open_fds
Comment 12 Lukas Slebodnik 2015-11-18 14:00:37 EST
Created attachment 1096201 [details]
File: proc_pid_status
Comment 13 Fedora Update System 2016-02-08 20:06:59 EST
xfce4-power-manager-1.5.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a7fdc205b
Comment 14 Fedora Update System 2016-02-09 17:26:28 EST
xfce4-power-manager-1.5.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a7fdc205b
Comment 15 Fedora Update System 2016-02-14 21:51:12 EST
xfce4-power-manager-1.5.2-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Kevin Fenzi 2016-02-23 09:15:14 EST
*** Bug 1290516 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.